<back to all web services

TemplateMarkupRequest

The following routes are available for this service:
POST/RestApi/markup/templates
TemplateMarkupRequest Parameters:
NameParameterData TypeRequiredDescription
KeysbodyIEnumerable<string>No
TemplateMarkupResponseCollection Parameters:
NameParameterData TypeRequiredDescription
ItemsformIList<TemplateMarkupModel>No
TemplateMarkupModel Parameters:
NameParameterData TypeRequiredDescription
MarkupformstringNo
FileNameformstringNo
VirtualPathformstringNo
VirtualDirectoryformstringNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml

HTTP + XML

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/markup/templates HTTP/1.1 
Host: www.asg.com.au 
Accept: application/xml
Content-Type: application/xml
Content-Length: length

<TemplateMarkupRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Web.Compilation.Model">
  <Keys xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" i:nil="true" />
</TemplateMarkupRequest>
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length

<TemplateMarkupResponseCollection xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Web.Compilation.Model">
  <Items i:nil="true" />
</TemplateMarkupResponseCollection>